Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3887 - linuxconf refuses to start under X
Summary: linuxconf refuses to start under X
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-03 14:51 UTC by pushf
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 01:48:37 UTC


Attachments (Terms of Use)

Description pushf 1999-07-03 14:51:31 UTC
When I am running under X, linuxconf doesn't want to start
properly. I have the following error message:

(root@Fury:~)# linuxconf
Message d'erreur de remadmin :
Message d'erreur de remadmin :Gdk-WARNING **: locale not
supported by C library
Message d'erreur de remadmin :Xlib: connection to ":0.0"
refused by server
Message d'erreur de remadmin :Xlib: Client is not authorized
to connect to Server
Message d'erreur de remadmin :
Message d'erreur de remadmin :Gtk-WARNING **: cannot open
display: :0
remadmin (GUI) sortie anormale
(root@Fury:~)

My X server is XFCom_i740 ( Precision Insight ).

Thank for helping me !!!

Comment 1 Michael K. Johnson 1999-07-30 14:48:59 UTC
If this problem is still occurring for you, please tell me how
you are starting X: using xdm, gdm, or kdm?  startx?  xinit?
Are you logging in as root or are you using su?  If you are
using su, are you using "su" or "su -"?  Thanks.

Comment 2 Anonymous 1999-08-27 19:19:59 UTC
I also had this problem.  It turned out to be a networking problem.
It appears that the hostname had gotten changed to that given to the
primary interface.  The solution is to make sure that you have the
same name for your hostname and also for your primary interface in the
hosts file.  If your hostname is still localhost.localdomain, but your
primary interface has another name, you will get this problem. Check
your hostname with hostname, and then change it to the other name to
test whether this is the case for you.

Comment 3 Michael K. Johnson 1999-09-20 01:48:59 UTC
sdhill is right -- thanks for pointing out the context.


Note You need to log in before you can comment on or make changes to this bug.